var SwiftlyPlatforms = {};
(function () {
//Made with Ultimate Mod Maker
	SwiftlyPlatforms.addTopic = function () {
		GDT.addTopics([
		]);
	};
	SwiftlyPlatforms.addPlatform = function () {
		var ColecoVision = GDT.getRelativePath() + '/SwiftlyPlatforms/img/6.png';
		var Atari5200 = GDT.getRelativePath() + '/SwiftlyPlatforms/img/5.png';
		var Arcadia2001 = GDT.getRelativePath() + '/SwiftlyPlatforms/img/4.png';
		var CassetteVision = GDT.getRelativePath() + '/SwiftlyPlatforms/img/3.png';
		var VTechVision = GDT.getRelativePath() + '/SwiftlyPlatforms/img/2.png';
		var Intellivision = GDT.getRelativePath() + '/SwiftlyPlatforms/img/1.png';
		GDT.addPlatform(
		{
				id: '1829-6075-3079-3586-5535',
				name: "ColecoVision",
				company: 'Coleco',
				startAmount: 0.040,
				unitsSold: 2,
				licencePrize: 90000,
				published: '2/8/1',
				platformRetireDate: '5/2/4',
				developmentCosts: 13000,
				genreWeightings: [1.0, 1.0, 0.9, 1.0, 0.6, 0.9],
				audienceWeightings: [0.9, 1.0, 1.0],
				techLevel: 2,
				iconUri: 'ColecoVision',
				events: [{
						id: '6075-3079-3586-5535-1829',
						date: '2/2/2',
						getNotification: function (company) {
							return new Notification({
								header: "Industry News".localize(),
								text: "A company named Coleco has announced the release of a new game console called the ColecoVision. This console seems to have a very solid base structure. It seems like it will sell pretty well. Well lets see how it sells on the market!".localize().format(General.getETADescription('2/2/2', '2/8/1')),
								image: ColecoVision
							});
						}
					}]
		});

		GDT.addPlatform({
				id: '6313-1135-5081-9648-6778',
				name: "Atari 5200",
				company: 'Atari Inc.',
				startAmount: 0.100,
				unitsSold: 1.250,
				licencePrize: 60000,
				published: '2/11/1',
				platformRetireDate: '4/3/3',
				developmentCosts: 13000,
				genreWeightings: [1.0, 0.9, 0.9, 1.0, 0.6, 0.9],
				audienceWeightings: [1.0, 1.0, 0.9],
				techLevel: 2,
				iconUri: 'Atari5200',
				events: [{
						id: '1135-5081-9648-6778-6313',
						date: '1/12/2',
						getNotification: function (company) {
							return new Notification({
								header: "Industry News".localize(),
								text: "A company that should be quite well known from its last console Atari Inc. has announced the release of its new console the Atari 5200! This new and slick console has said to have 4 slots for remotes and a 360 degre non-centering joystick on its remotes with the generic 12 keys on it. This remote controller doensn't seem to be to very game friendly but we will have to see how this sells!".localize().format(General.getETADescription('1/12/2', '2/11/1')),
								image: Atari5200
							});
						}
					}]
		});

		GDT.addPlatform({
				id: '3616-6131-9924-162-204',
				name: "Arcadia 2001",
				company: 'Emerson Radio',
				startAmount: 0.025,
				unitsSold: 2.000,
				licencePrize: 100000,
				published: '2/2/2',
				platformRetireDate: '4/4/1',
				developmentCosts: 8000,
				genreWeightings: [1.0, 0.9, 0.9, 1.0, 0.6, 0.9],
				audienceWeightings: [0.9, 1.0, 0.9],
				techLevel: 1,
				iconUri: 'Arcadia2001',
				events: [{
						id: '6131-9924-162-204-3616',
						date: '1/10/1',
						getNotification: function (company) {
							return new Notification({
								header: "Industry News".localize(),
								text: "A company named Emerson Radio has announced its new console called the Arcadia 2001. This new console seems to be fairly ordinary with a 12 button keypad on its remotes. But the one weird thing about it is its 12 volt power supply. So it can be used on vehicles or boats but you need a portable television for that which are rare....".localize().format(General.getETADescription('1/10/1', '2/2/2')),
								image: Arcadia2001
							});
						}
					}]
		});

		GDT.addPlatform({
				id: '2909-8727-1498-9395-8061',
				name: "Cassette Vision",
				company: 'Epoch Co.',
				startAmount: 0.025,
				unitsSold: 2.000,
				licencePrize: 130000,
				published: '1/10/4',
				platformRetireDate: '6/7/1',
				developmentCosts: 12000,
				genreWeightings: [1.0, 0.6, 1.0, 1.0, 0.6, 0.9],
				audienceWeightings: [0.6, 0.9, 1.0],
				techLevel: 1,
				iconUri: 'CassetteVision',
				events: [{
						id: '8727-1498-9395-8061-2909',
						date: '1/6/1',
						getNotification: function (company) {
							return new Notification({
								header: "Industry News".localize(),
								text: "A company named the Epoch Co, has announced a new console named the Cassette Vision. It's a japanese console, that has said to have really unusual and weird controls. Four knobs are built into the console itself, two for each player. Even though this may be a weird console maybe it will sell very well!".localize().format(General.getETADescription('1/6/1', '1/10/4')),
								image: CassetteVision
							});
						}
					}]
		});

		GDT.addPlatform({
				id: '7571-8974-2872-1974-6006',
				name: "VTech Vision",
				company: 'VTech',
				startAmount: 0.025,
				unitsSold: 3.030,
				licencePrize: 70000,
				published: '1/7/2',
				platformRetireDate: '4/1/1',
				developmentCosts: 10000,
				genreWeightings: [1.0, 1.0, 0.9, 0.9, 0.9, 0.9],
				audienceWeightings: [0.9, 0.9, 0.9],
				techLevel: 1,
				iconUri: 'VTechVision',
				events: [{
						id: '8974-2872-1974-6006-7571',
						date: '1/3/1',
						getNotification: function (company) {
							return new Notification({
								header: "Industry News".localize(),
								text: "The company VTech has announced a new console! The console is called the VTech Vision. It is said to be a hybrid of a computer and a home video game console! It sounds like its going to do amazing!".localize().format(General.getETADescription('1/3/1', '1/7/2')),
								image: VTechVision
							});
						}
					}]
		});

		GDT.addPlatform({
				id: '4031-6838-1923-3413-9497',
				name: "Intellivision",
				company: 'Mattel Electronics',
				startAmount: 0.015,
				unitsSold: 3.000,
				licencePrize: 70000,
				published: '1/5/2',
				platformRetireDate: '4/1/1',
				developmentCosts: 10000,
				genreWeightings: [1.0, 0.9, 1.0, 1.0, 0.6, 0.9],
				audienceWeightings: [0.6, 0.9, 0.9],
				techLevel: 1,
				iconUri: 'Intellivision',
				events: [{
						id: '6838-1923-3413-9497-4031',
						date: '1/1/1',
						getNotification: function (company) {
							return new Notification({
								header: "Industry News".localize(),
								text: "A new company Mattel Electronics has announced its first and new console the Intellivision! It is said to be bringing a new age to the gaming industry!".localize().format(General.getETADescription('1/1/1', '1/5/2')),
								image: Intellivision
							});
						}
					}]
		});
	};

})();